function EM31_grid

close all
clear all

Q31_low=-1000;
Q31_high=1000;

IP31_low=-50;
IP31_high=50;

Q38_low=-1000;
Q38_high=1000;

IP38_low=-50;
IP38_high=50;

delete EM3*.mat

method='nearest'; % 'linear','cubic','nearest', 'v4'

EM31=load('EM31_vert.xyz'); % 1 Eastings
                            % 2 Northings
                            % 3 Quadrature
                            % 4 In Phase
                            % 5 Time

temp=EM31(60:length(EM31(:,1)),:);
clear EM31
EM31=temp;% remove the first few data points at the bottom of the map

% split up the lines going in opposite directions:

count=1;
count2=1;
count3=0;
for i=1:length(EM31(:,1))-1
    
    if EM31(i,2) < EM31(i+1,2)
        EM31_up(count,:)=EM31(i,:);
        count=count+1;
    elseif EM31(i,2) >= EM31(i+1,2)
        EM31_down(count2,:)=EM31(i,:);
        count2=count2+1;
    else
        count3=count3+1;
    end
    
end
               

                            
% Equal spaced vectors for gridding
X(1,:)=[min(EM31(:,1)):3:max(EM31(:,1))];
Y(:,1)=[min(EM31(:,2)):3:max(EM31(:,2))];

[XI,YI,ZI_Q]=griddata(EM31(:,1),EM31(:,2),EM31(:,3),X,Y,method);

raw_Q=[EM31(:,1),EM31(:,2),EM31(:,3)];

[XI,YI,ZI_IP]=griddata(EM31(:,1),EM31(:,2),EM31(:,4),X,Y,method);

raw_IP=[EM31(:,1),EM31(:,2),EM31(:,4)];
save('EM31_vert','XI','YI','ZI_IP','ZI_Q','raw_Q','raw_IP')

% Now remove high and low data points

clear ZI_Q ZI_IP XI YI X Y Q IP count1 count2 count3

count = 1;
for i=1:length(raw_Q(:,1))
    if ((raw_Q(i,3) >= Q31_low) && (raw_Q(i,3) <= Q31_high)) && ((raw_IP(i,3) >= IP31_low) && (raw_IP(i,3) <= IP31_high))
        ind(count)=i;
        count=count+1;
    end
end

X(1,:)=[min(raw_Q(ind,1)):3:max(raw_Q(ind,1))];
Y(:,1)=[min(raw_Q(ind,2)):3:max(raw_Q(ind,2))];

[XI,YI,ZI_Q]=griddata(raw_Q(ind,1),raw_Q(ind,2),raw_Q(ind,3),X,Y,method);

[XI,YI,ZI_IP]=griddata(raw_IP(ind,1),raw_IP(ind,2),raw_IP(ind,3),X,Y,method);

Q(:,:)=raw_Q(ind,:);
IP(:,:)=raw_IP(ind,:);

save('EM31_vert_edit','XI','YI','ZI_IP','ZI_Q','Q','IP')


% -    -    -    -    -    -    -    -    -    -    -    -    -    -    -
clear X Y XI YI ZI_Q ZI_IP EM31 raw_Q raw_IP count ind IP Q i

X(1,:)=[min(EM31_up(:,1)):3:max(EM31_up(:,1))];
Y(:,1)=[min(EM31_up(:,2)):3:max(EM31_up(:,2))];

[XI,YI,ZI_Q]=griddata(EM31_up(:,1),EM31_up(:,2),EM31_up(:,3),X,Y,method);

raw_Q=[EM31_up(:,1),EM31_up(:,2),EM31_up(:,3)];

[XI,YI,ZI_IP]=griddata(EM31_up(:,1),EM31_up(:,2),EM31_up(:,4),X,Y,method);

raw_IP=[EM31_up(:,1),EM31_up(:,2),EM31_up(:,4)];
save('EM31_up','XI','YI','ZI_IP','ZI_Q','raw_Q','raw_IP')

% Now remove high and low data points

clear ZI_Q ZI_IP XI YI X Y Q IP

count = 1;
for i=1:length(raw_Q(:,1))
    if ((raw_Q(i,3) >= Q31_low) && (raw_Q(i,3) <= Q31_high)) && ((raw_IP(i,3) >= IP31_low) && (raw_IP(i,3) <= IP31_high))
        ind(count)=i;
        count=count+1;
    end
end

X(1,:)=[min(raw_Q(ind,1)):3:max(raw_Q(ind,1))];
Y(:,1)=[min(raw_Q(ind,2)):3:max(raw_Q(ind,2))];

[XI,YI,ZI_Q]=griddata(raw_Q(ind,1),raw_Q(ind,2),raw_Q(ind,3),X,Y,method);

[XI,YI,ZI_IP]=griddata(raw_IP(ind,1),raw_IP(ind,2),raw_IP(ind,3),X,Y,method);

Q(:,:)=raw_Q(ind,:);
IP(:,:)=raw_IP(ind,:);

save('EM31_up_edit','XI','YI','ZI_IP','ZI_Q','Q','IP')

% -    -    -    -    -    -    -    -    -    -    -    -    -    -    -
clear X Y XI YI ZI_Q ZI_IP EM31 raw_Q raw_IP 

X(1,:)=[min(EM31_down(:,1)):3:max(EM31_down(:,1))];
Y(:,1)=[min(EM31_down(:,2)):3:max(EM31_down(:,2))];

[XI,YI,ZI_Q]=griddata(EM31_down(:,1),EM31_down(:,2),EM31_down(:,3),X,Y,method);

raw_Q=[EM31_down(:,1),EM31_down(:,2),EM31_down(:,3)];

[XI,YI,ZI_IP]=griddata(EM31_down(:,1),EM31_down(:,2),EM31_down(:,4),X,Y,method);

raw_IP=[EM31_down(:,1),EM31_down(:,2),EM31_down(:,4)];
save('EM31_down','XI','YI','ZI_IP','ZI_Q','raw_Q','raw_IP')

% Now remove high and low data points

clear ZI_Q ZI_IP XI YI X Y Q IP

count = 1;
for i=1:length(raw_Q(:,1))
    if ((raw_Q(i,3) >= Q31_low) && (raw_Q(i,3) <= Q31_high)) && ((raw_IP(i,3) >= IP31_low) && (raw_IP(i,3) <= IP31_high))
        ind(count)=i;
        count=count+1;
    end
end

X(1,:)=[min(raw_Q(ind,1)):3:max(raw_Q(ind,1))];
Y(:,1)=[min(raw_Q(ind,2)):3:max(raw_Q(ind,2))];

[XI,YI,ZI_Q]=griddata(raw_Q(ind,1),raw_Q(ind,2),raw_Q(ind,3),X,Y,method);

[XI,YI,ZI_IP]=griddata(raw_IP(ind,1),raw_IP(ind,2),raw_IP(ind,3),X,Y,method);

Q(:,:)=raw_Q(ind,:);
IP(:,:)=raw_IP(ind,:);

save('EM31_down_edit','XI','YI','ZI_IP','ZI_Q','Q','IP')


%--------------------------------------------------------------------------

clear EM31 Q IP XI YI ZI_IP ZI_Q raw_IP raw_Q X Y ind count 

EM31=load('EM31_hori.xyz'); % 1 Eastings
                            % 2 Northings
                            % 3 Quadrature
                            % 4 In Phase
                            % 5 Time
                            
temp=EM31(60:length(EM31(:,1)),:);
clear EM31
EM31=temp;

% Equal spaced vectors for gridding

X(1,:)=[min(EM31(:,1)):3:max(EM31(:,1))];
Y(:,1)=[min(EM31(:,2)):3:max(EM31(:,2))];

[XI,YI,ZI_Q]=griddata(EM31(:,1),EM31(:,2),EM31(:,3),X,Y,method);

raw_Q=[EM31(:,1),EM31(:,2),EM31(:,3)];

[XI,YI,ZI_IP]=griddata(EM31(:,1),EM31(:,2),EM31(:,4),X,Y,method);

raw_IP=[EM31(:,1),EM31(:,2),EM31(:,4)];

save('EM31_hori','XI','YI','ZI_IP','ZI_Q','raw_Q','raw_IP')

% Now remove high and low data points

clear ZI_Q ZI_IP XI YI X Y Q IP

count = 1;
for i=1:length(raw_Q(:,1))
    if ((raw_Q(i,3) >= Q31_low) && (raw_Q(i,3) <= Q31_high)) && ((raw_IP(i,3) >= IP31_low) && (raw_IP(i,3) <= IP31_high))
        ind(count)=i;
        count=count+1;
    end
end

X(1,:)=[min(raw_Q(ind,1)):3:max(raw_Q(ind,1))];
Y(:,1)=[min(raw_Q(ind,2)):3:max(raw_Q(ind,2))];

[XI,YI,ZI_Q]=griddata(raw_Q(ind,1),raw_Q(ind,2),raw_Q(ind,3),X,Y,method);

[XI,YI,ZI_IP]=griddata(raw_IP(ind,1),raw_IP(ind,2),raw_IP(ind,3),X,Y,method);

Q(:,:)=raw_Q(ind,:);
IP(:,:)=raw_IP(ind,:);

save('EM31_hori_edit','XI','YI','ZI_IP','ZI_Q','Q','IP')

%--------------------------------------------------------------------------

clear EM31 Q IP XI YI ZI_IP ZI_Q raw_IP raw_Q X Y ind count 

EM31=load('Greg_31.xyz'); % 1 Eastings
                            % 2 Northings
                            % 3 Quadrature
                            % 4 In Phase
                            % 5 Time
                            
temp=EM31(60:length(EM31(:,1)),:);
clear EM31
EM31=temp;
% Equal spaced vectors for gridding
X(1,:)=[min(EM31(:,1)):3:max(EM31(:,1))];
Y(:,1)=[min(EM31(:,2)):3:max(EM31(:,2))];

[XI,YI,ZI_Q]=griddata(EM31(:,1),EM31(:,2),EM31(:,3),X,Y,method);

raw_Q=[EM31(:,1),EM31(:,2),EM31(:,3)];

[XI,YI,ZI_IP]=griddata(EM31(:,1),EM31(:,2),EM31(:,4),X,Y,method);

raw_IP=[EM31(:,1),EM31(:,2),EM31(:,4)];
grid=ZI_IP;
save('EM31_all','XI','YI','ZI_IP','ZI_Q','raw_Q','raw_IP')

% Now remove high and low data points

clear ZI_Q ZI_IP XI YI X Y Q IP

count = 1;
for i=1:length(raw_Q(:,1))
    if ((raw_Q(i,3) >= Q31_low) && (raw_Q(i,3) <= Q31_high)) && ((raw_IP(i,3) >= IP31_low) && (raw_IP(i,3) <= IP31_high))
        ind(count)=i;
        count=count+1;
    end
end

X(1,:)=[min(raw_Q(ind,1)):3:max(raw_Q(ind,1))];
Y(:,1)=[min(raw_Q(ind,2)):3:max(raw_Q(ind,2))];

[XI,YI,ZI_Q]=griddata(raw_Q(ind,1),raw_Q(ind,2),raw_Q(ind,3),X,Y,method);

[XI,YI,ZI_IP]=griddata(raw_IP(ind,1),raw_IP(ind,2),raw_IP(ind,3),X,Y,method);

Q(:,:)=raw_Q(ind,:);
IP(:,:)=raw_IP(ind,:);

save('EM31_all_edit','XI','YI','ZI_IP','ZI_Q','Q','IP')

%--------------------------------------------------------------------------

clear EM31 Q IP XI YI ZI_IP ZI_Q raw_IP raw_Q X Y ind count 

EM38=load('EM38_vert.xyz'); % 1 Eastings
                            % 2 Northings
                            % 3 Quadrature
                            % 4 In Phase
                            % 5 Time
temp=EM38(94:length(EM38(:,1)),:);  
clear EM38
EM38=temp;


% split up the lines going in opposite directions:

count=1;
count2=1;
count3=0;
for i=1:length(EM38(:,1))-1
    
    if EM38(i,2) < EM38(i+1,2)
        EM38_up(count,:)=EM38(i,:);
        count=count+1;
    elseif EM38(i,2) >= EM38(i+1,2)
        EM38_down(count2,:)=EM38(i,:);
        count2=count2+1;
    else
        count3=count3+1;
    end
    
end



                            % Equal spaced vectors for gridding
X(1,:)=[min(EM38(:,1)):3:max(EM38(:,1))];
Y(:,1)=[min(EM38(:,2)):3:max(EM38(:,2))];

[XI,YI,ZI_Q]=griddata(EM38(:,1),EM38(:,2),EM38(:,3),X,Y,method);

raw_Q=[EM38(:,1),EM38(:,2),EM38(:,3)];

[XI,YI,ZI_IP]=griddata(EM38(:,1),EM38(:,2),EM38(:,4),X,Y,method);

raw_IP=[EM38(:,1),EM38(:,2),EM38(:,4)];
grid=ZI_IP;
save('EM38_vert','XI','YI','ZI_IP','ZI_Q','raw_Q','raw_IP')

% Now remove high and low data points

clear ZI_Q ZI_IP XI YI X Y Q IP

count = 1;
for i=1:length(raw_Q(:,1))
    if ((raw_Q(i,3) >= Q38_low) && (raw_Q(i,3) <= Q38_high)) && ((raw_IP(i,3) >= IP38_low) && (raw_IP(i,3) <= IP38_high))
        ind(count)=i;
        count=count+1;
    end
end

X(1,:)=[min(raw_Q(ind,1)):3:max(raw_Q(ind,1))];
Y(:,1)=[min(raw_Q(ind,2)):3:max(raw_Q(ind,2))];

[XI,YI,ZI_Q]=griddata(raw_Q(ind,1),raw_Q(ind,2),raw_Q(ind,3),X,Y,method);

[XI,YI,ZI_IP]=griddata(raw_IP(ind,1),raw_IP(ind,2),raw_IP(ind,3),X,Y,method);

Q(:,:)=raw_Q(ind,:);
IP(:,:)=raw_IP(ind,:);

save('EM38_vert_edit','XI','YI','ZI_IP','ZI_Q','Q','IP')

% -    -    -    -    -    -    -    -    -    -    -    -    -    -    -
clear X Y XI YI ZI_Q ZI_IP EM38 raw_Q raw_IP 

X(1,:)=[min(EM38_up(:,1)):3:max(EM38_up(:,1))];
Y(:,1)=[min(EM38_up(:,2)):3:max(EM38_up(:,2))];

[XI,YI,ZI_Q]=griddata(EM38_up(:,1),EM38_up(:,2),EM38_up(:,3),X,Y,method);

raw_Q=[EM38_up(:,1),EM38_up(:,2),EM38_up(:,3)];

[XI,YI,ZI_IP]=griddata(EM38_up(:,1),EM38_up(:,2),EM38_up(:,4),X,Y,method);

raw_IP=[EM38_up(:,1),EM38_up(:,2),EM38_up(:,4)];
save('EM38_up','XI','YI','ZI_IP','ZI_Q','raw_Q','raw_IP')

% Now remove high and low data points

clear ZI_Q ZI_IP XI YI X Y Q IP count ind

count = 1;
for i=1:length(raw_Q(:,1))
    if ((raw_Q(i,3) >= Q38_low) && (raw_Q(i,3) <= Q38_high)) && ((raw_IP(i,3) >= IP38_low) && (raw_IP(i,3) <= IP38_high))
        ind(count)=i;
        count=count+1;
    end
end
X(1,:)=[min(raw_Q(ind,1)):3:max(raw_Q(ind,1))];
Y(:,1)=[min(raw_Q(ind,2)):3:max(raw_Q(ind,2))];

[XI,YI,ZI_Q]=griddata(raw_Q(ind,1),raw_Q(ind,2),raw_Q(ind,3),X,Y,method);

[XI,YI,ZI_IP]=griddata(raw_IP(ind,1),raw_IP(ind,2),raw_IP(ind,3),X,Y,method);

Q(:,:)=raw_Q(ind,:);
IP(:,:)=raw_IP(ind,:);

save('EM38_up_edit','XI','YI','ZI_IP','ZI_Q','Q','IP')

% -    -    -    -    -    -    -    -    -    -    -    -    -    -    -
clear X Y XI YI ZI_Q ZI_IP EM38 raw_Q raw_IP count ind

X(1,:)=[min(EM38_down(:,1)):3:max(EM38_down(:,1))];
Y(:,1)=[min(EM38_down(:,2)):3:max(EM38_down(:,2))];

[XI,YI,ZI_Q]=griddata(EM38_down(:,1),EM38_down(:,2),EM38_down(:,3),X,Y,method);

raw_Q=[EM38_down(:,1),EM38_down(:,2),EM38_down(:,3)];

[XI,YI,ZI_IP]=griddata(EM38_down(:,1),EM38_down(:,2),EM38_down(:,4),X,Y,method);

raw_IP=[EM38_down(:,1),EM38_down(:,2),EM38_down(:,4)];
save('EM38_down','XI','YI','ZI_IP','ZI_Q','raw_Q','raw_IP')

% Now remove high and low data points

clear ZI_Q ZI_IP XI YI X Y Q IP
 
count = 1;
for i=1:length(raw_Q(:,1))
    if ((raw_Q(i,3) >= Q38_low) && (raw_Q(i,3) <= Q38_high)) && ((raw_IP(i,3) >= IP38_low) && (raw_IP(i,3) <= IP38_high))
        ind(count)=i;
        count=count+1;
    end
end

X(1,:)=[min(raw_Q(ind,1)):3:max(raw_Q(ind,1))];
Y(:,1)=[min(raw_Q(ind,2)):3:max(raw_Q(ind,2))];

[XI,YI,ZI_Q]=griddata(raw_Q(ind,1),raw_Q(ind,2),raw_Q(ind,3),X,Y,method);

[XI,YI,ZI_IP]=griddata(raw_IP(ind,1),raw_IP(ind,2),raw_IP(ind,3),X,Y,method);

Q(:,:)=raw_Q(ind,:);
IP(:,:)=raw_IP(ind,:);

save('EM38_down_edit','XI','YI','ZI_IP','ZI_Q','Q','IP')

%--------------------------------------------------------------------------

clear EM38 Q IP XI YI ZI_IP ZI_Q raw_IP raw_Q X Y ind count 

EM38=load('EM38_hori.xyz'); % 1 Eastings
                            % 2 Northings
                            % 3 Quadrature
                            % 4 In Phase
                            % 5 Time
temp=EM38(94:length(EM38(:,1)),:);   
clear EM38
EM38=temp;
                            % Equal spaced vectors for gridding
X(1,:)=[min(EM38(:,1)):3:max(EM38(:,1))];
Y(:,1)=[min(EM38(:,2)):3:max(EM38(:,2))];

[XI,YI,ZI_Q]=griddata(EM38(:,1),EM38(:,2),EM38(:,3),X,Y,method);

raw_Q=[EM38(:,1),EM38(:,2),EM38(:,3)];

[XI,YI,ZI_IP]=griddata(EM38(:,1),EM38(:,2),EM38(:,3),X,Y,method);

raw_IP=[EM38(:,1),EM38(:,2),EM38(:,4)];
grid=ZI_IP;
save('EM38_hori','XI','YI','ZI_IP','ZI_Q','raw_Q','raw_IP')

% Now remove high and low data points

clear ZI_Q ZI_IP XI YI X Y Q IP

count = 1;
for i=1:length(raw_Q(:,1))
    if ((raw_Q(i,3) >= Q38_low) && (raw_Q(i,3) <= Q38_high)) && ((raw_IP(i,3) >= IP38_low) && (raw_IP(i,3) <= IP38_high))
        ind(count)=i;
        count=count+1;
    end
end

X(1,:)=[min(raw_Q(ind,1)):3:max(raw_Q(ind,1))];
Y(:,1)=[min(raw_Q(ind,2)):3:max(raw_Q(ind,2))];

[XI,YI,ZI_Q]=griddata(raw_Q(ind,1),raw_Q(ind,2),raw_Q(ind,3),X,Y,method);

[XI,YI,ZI_IP]=griddata(raw_IP(ind,1),raw_IP(ind,2),raw_IP(ind,3),X,Y,method);

Q(:,:)=raw_Q(ind,:);
IP(:,:)=raw_IP(ind,:);

save('EM38_hori_edit','XI','YI','ZI_IP','ZI_Q','Q','IP')

%--------------------------------------------------------------------------

clear EM38 Q IP XI YI ZI_IP ZI_Q raw_IP raw_Q X Y ind count 

EM38=load('EM38_UofA.xyz'); % 1 Eastings
                            % 2 Northings
                            % 3 Quadrature
                            % 4 In Phase
                            % 5 Time
temp=EM38(94:length(EM38(:,1)),:);     
clear EM38
EM38=temp;
                            % Equal spaced vectors for gridding
X(1,:)=[min(EM38(:,1)):3:max(EM38(:,1))];
Y(:,1)=[min(EM38(:,2)):3:max(EM38(:,2))];

[XI,YI,ZI_Q]=griddata(EM38(:,1),EM38(:,2),EM38(:,3),X,Y,method);

raw_Q=[EM38(:,1),EM38(:,2),EM38(:,3)];

[XI,YI,ZI_IP]=griddata(EM38(:,1),EM38(:,2),EM38(:,3),X,Y,method);

raw_IP=[EM38(:,1),EM38(:,2),EM38(:,4)];
grid=ZI_IP;
save('EM38_all','XI','YI','ZI_IP','ZI_Q','raw_Q','raw_IP')

% Now remove high and low data points

clear ZI_Q ZI_IP XI YI X Y Q IP

count = 1;
for i=1:length(raw_Q(:,1))
    if ((raw_Q(i,3) >= Q38_low) && (raw_Q(i,3) <= Q38_high)) && ((raw_IP(i,3) >= IP38_low) && (raw_IP(i,3) <= IP38_high))
        ind(count)=i;
        count=count+1;
    end
end

X(1,:)=[min(raw_Q(ind,1)):3:max(raw_Q(ind,1))];
Y(:,1)=[min(raw_Q(ind,2)):3:max(raw_Q(ind,2))];

[XI,YI,ZI_Q]=griddata(raw_Q(ind,1),raw_Q(ind,2),raw_Q(ind,3),X,Y,method);

[XI,YI,ZI_IP]=griddata(raw_IP(ind,1),raw_IP(ind,2),raw_IP(ind,3),X,Y,method);

Q(:,:)=raw_Q(ind,:);
IP(:,:)=raw_IP(ind,:);

save('EM38_all_edit','XI','YI','ZI_IP','ZI_Q','Q','IP')



