function EM31

close all
clear all

Q31_low=-50;
Q31_high=50;

IP31_low=-50;
IP31_high=50;

Q38_low=-100;
Q38_high=100;

IP38_low=-50;
IP38_high=50;



load 'EM31_vert'; 
GPS=load('SITE_combined.pos');


% PLOT THE EDITTED FILES

clear XI YI ZI_IP ZI_Q Q IP

load 'EM31_vert_edit'; 

%------------------------------------------------------------------------
clear XI YI ZI_IP ZI_Q Q IP

load 'EM31_all_edit'; 

figure
subplot(1,2,1)
pcolor(XI,YI,ZI_Q);hold on;
plot(Q(:,1),Q(:,2),'r+','MarkerSize',1.5);hold on;
plot(GPS(:,1),GPS(:,2),'b-','Linewidth',1)
caxis([Q31_low Q31_high]);
shading interp
axis equal
title('EM31 Vertical Dipole, Total')
xlabel('Eastings (m)')
ylabel('Northings (m)')
cbar=colorbar;
ylabel(cbar,'Quadrature (mS/m)')

subplot(1,2,2)
pcolor(XI,YI,ZI_IP);hold on;
plot(IP(:,1),IP(:,2),'r+','MarkerSize',1.5);hold on;
plot(GPS(:,1),GPS(:,2),'b-','Linewidth',1)
caxis([IP31_low IP31_high]);
shading interp
axis equal
title('EM31 Vertical Dipole, Total')
xlabel('Eastings (m)')
ylabel('Northings (m)')
cbar=colorbar;
ylabel(cbar,'In Phase Response (ppt)')

figure
subplot(2,2,1)
pcolor(XI,YI,ZI_Q);hold on;
plot(Q(:,1),Q(:,2),'r+','MarkerSize',1.5);hold on;
plot(GPS(:,1),GPS(:,2),'b-','Linewidth',1)
caxis([Q31_low Q31_high]);
shading interp
axis equal
title('EM31 Vertical Dipole North-South')
xlabel('Eastings (m)')
ylabel('Northings (m)')
cbar=colorbar;
ylabel(cbar,'Quadrature (mS/m)')




subplot(2,2,2)
pcolor(XI,YI,ZI_IP);hold on;
plot(IP(:,1),IP(:,2),'r+','MarkerSize',1.5);hold on;
plot(GPS(:,1),GPS(:,2),'b-','Linewidth',1)
caxis([IP31_low IP31_high]);
shading interp
axis equal
title('EM31 Vertical Dipole, North-South')
xlabel('Eastings (m)')
ylabel('Northings (m)')
cbar=colorbar;
ylabel(cbar,'In Phase Response (ppt)')

%-------------------------------------------------------------------------
clear XI YI ZI_IP ZI_Q Q IP


load 'EM31_hori_edit'; 



subplot(2,2,3)
pcolor(XI,YI,ZI_Q);hold on;
plot(Q(:,1),Q(:,2),'r+','MarkerSize',1.5);hold on;
plot(GPS(:,1),GPS(:,2),'b-','Linewidth',1)
caxis([Q31_low Q31_high]);
shading interp
axis equal
title('EM31 Vertical Dipole, East-West')
xlabel('Eastings (m)')
ylabel('Northings (m)')
cbar=colorbar;
ylabel(cbar,'Quadrature (mS/m)')



subplot(2,2,4)
pcolor(XI,YI,ZI_IP);hold on;
plot(IP(:,1),IP(:,2),'r+','MarkerSize',1.5);hold on;
plot(GPS(:,1),GPS(:,2),'b-','Linewidth',1)
caxis([IP31_low IP31_high]);
shading interp
axis equal
title('EM31 Vertical Dipole, East-West')
xlabel('Eastings (m)')
ylabel('Northings (m)')
cbar=colorbar;
ylabel(cbar,'In Phase Response (ppt)')


%------------------------------------------------------------------------
clear XI YI ZI_IP ZI_Q  Q IP

load 'EM38_all_edit'; 


figure
subplot(1,2,1)
pcolor(XI,YI,ZI_Q);hold on;
plot(Q(:,1),Q(:,2),'r+','MarkerSize',1.5);hold on;
plot(GPS(:,1),GPS(:,2),'b-','Linewidth',1)
caxis([Q38_low Q38_high]);
shading interp
axis equal
title('EM38 Vertical Dipole, Total')
xlabel('Eastings (m)')
ylabel('Northings (m)')
cbar=colorbar;
ylabel(cbar,'Quadrature (mS/m)')

subplot(1,2,2)
pcolor(XI,YI,ZI_IP);hold on;
plot(IP(:,1),IP(:,2),'r+','MarkerSize',1.5);hold on;
plot(GPS(:,1),GPS(:,2),'b-','Linewidth',1)
caxis([IP38_low IP38_high]);
shading interp
axis equal
title('EM38 Vertical Dipole, Total')
xlabel('Eastings (m)')
ylabel('Northings (m)')
cbar=colorbar;
ylabel(cbar,'In Phase Response (ppt)')

% %------------------------------------------------------------------------
% clear XI YI ZI_IP ZI_Q Q IP
% 
% load 'EM38_vert_edit'; 
% 
% 
% figure
% subplot(2,2,1)
% pcolor(XI,YI,ZI_Q);hold on;
% plot(Q(:,1),Q(:,2),'r+','MarkerSize',1.5);hold on;
% plot(GPS(:,1),GPS(:,2),'b-','Linewidth',1)
% caxis([Q38_low Q38_high]);
% shading interp
% axis equal
% title('EM38 Vertical Dipole, North-South)')
% xlabel('Eastings (m)')
% ylabel('Northings (m)')
% cbar=colorbar;
% ylabel(cbar,'Quadrature (mS/m)')
% 
% subplot(2,2,2)
% pcolor(XI,YI,ZI_IP);hold on;
% plot(IP(:,1),IP(:,2),'r+','MarkerSize',1.5);hold on;
% plot(GPS(:,1),GPS(:,2),'b-','Linewidth',1)
% caxis([IP31_low IP31_high]);
% shading interp
% axis equal
% title('EM38 Vertical Dipole, North-South)')
% xlabel('Eastings (m)')
% ylabel('Northings (m)')
% cbar=colorbar;
% ylabel(cbar,'In Phase Response (ppt)')
% %------------------------------------------------------------------------
% clear XI YI ZI_IP ZI_Q Q IP
% 
% load 'EM38_hori_edit'; 
% 
% 
% 
% subplot(2,2,3)
% pcolor(XI,YI,ZI_Q);hold on;
% plot(Q(:,1),Q(:,2),'r+','MarkerSize',1.5);hold on;
% plot(GPS(:,1),GPS(:,2),'b-','Linewidth',1)
% caxis([Q38_low Q38_high]);
% shading interp
% axis equal
% title('EM38 Vertical Dipole, East-West')
% xlabel('Eastings (m)')
% ylabel('Northings (m)')
% cbar=colorbar;
% ylabel(cbar,'Quadrature (mS/m)')
% 
% 
% subplot(2,2,4)
% pcolor(XI,YI,ZI_IP);hold on;
% plot(IP(:,1),IP(:,2),'r+','MarkerSize',1.5);hold on;
% plot(GPS(:,1),GPS(:,2),'b-','Linewidth',1)
% caxis([IP38_low IP38_high]);
% shading interp
% axis equal
% title('EM38 Vertical Dipole, East-West')
% xlabel('Eastings (m)')
% ylabel('Northings (m)')
% cbar=colorbar;
% ylabel(cbar,'In Phase Response (ppt)')




