function profiles

clear all
close all

Q38_low=-20;
Q38_high=50;

load 'EM38_vert_edit'; 
GPS=load('SITE_combined.pos');
prof31=load('EM31_V_profile_add13.xyz');
prof38=load('EM38_G_profile.xyz');


figure

pcolor(XI,YI,ZI_Q);hold on;
plot(Q(:,1),Q(:,2),'r+','MarkerSize',1);hold on;
plot(GPS(:,1),GPS(:,2),'r-','Linewidth',1); hold on;
plot(prof31(:,1),prof31(:,2),'k','Linewidth',2); hold on;
plot(prof38(:,1),prof38(:,2),'b','Linewidth',2); hold off;
legend('Conductivity','Measurement Point','Cement Walkways','EM31 Profile','EM38 Profile')
caxis([Q38_low Q38_high]);
shading interp
axis equal
title('EM38 Vertical Quadrature (mS/m)')
xlabel('Eastings (m)')
ylabel('Northings (m)')
colorbar


clear all

pro=load('EM31_V_profile_add13.xyz'); % Eastings
                                % Northings
                                % Quadrature
                                % In Phase
                                % Time

len=length(pro(:,1));
datum=[pro(len,1),pro(len,2)];

pro(:,2)=pro(:,2)-datum(2);
pro(:,1)=pro(:,1)-datum(1);

dist(:,1)=sqrt((pro(:,1).^2)+(pro(:,2).^2));

figure
subplot(3,1,1);
plot(dist,pro(:,3),'*b')
title('EM31 Vertical Dipole, South to North')
ylabel('Quadrature (mS/m)')
xlim([0,80])


clear pro dist

pro=load('EM31_H_profile_add13.xyz');

pro(:,2)=pro(:,2)-datum(2);
pro(:,1)=pro(:,1)-datum(1);

dist(:,1)=sqrt((pro(:,1).^2)+(pro(:,2).^2));

subplot(3,1,2);
plot(dist,pro(:,3),'*r')
title('Horizontal Dipole')
ylabel('Quadrature (mS/m)')
xlim([0,80])

clear pro dist

pro=load('EM31_G_profile_add13.xyz');

pro(:,2)=pro(:,2)-datum(2);
pro(:,1)=pro(:,1)-datum(1);

dist(:,1)=sqrt((pro(:,1).^2)+(pro(:,2).^2));

subplot(3,1,3);
plot(dist,pro(:,3),'*k')
title('Vertical Dipole at ground level')
ylabel('Quadrature (mS/m)')
xlabel('Distance along profile (m) ')
xlim([0,80])
clear pro dist

pro=load('EM31_V_profile_add13.xyz'); % Eastings
                                % Northings
                                % Quadrature
                                % In Phase
                                % Time


pro(:,2)=pro(:,2)-datum(2);
pro(:,1)=pro(:,1)-datum(1);

dist(:,1)=sqrt((pro(:,1).^2)+(pro(:,2).^2));

figure
subplot(3,1,1);
plot(dist,pro(:,4),'*b')
title('EM31 Vertical Dipole, South to North')
ylabel('In Phase (ppt)')
xlim([0,80])

clear pro dist

pro=load('EM31_H_profile_add13.xyz');

pro(:,2)=pro(:,2)-datum(2);
pro(:,1)=pro(:,1)-datum(1);

dist(:,1)=sqrt((pro(:,1).^2)+(pro(:,2).^2));

subplot(3,1,2);
plot(dist,pro(:,4),'*r')
title('Horizontal Dipole')
ylabel('In Phase (ppt)')
xlim([0,80])

clear pro dist

pro=load('EM31_G_profile_add13.xyz');

pro(:,2)=pro(:,2)-datum(2);
pro(:,1)=pro(:,1)-datum(1);

dist(:,1)=sqrt((pro(:,1).^2)+(pro(:,2).^2));

subplot(3,1,3);
plot(dist,pro(:,4),'*k')
title('Vertical Dipole at ground level')
ylabel('In Phase (ppt)')
xlabel('Distance along profile (m) ')
xlim([0,80])


clear pro dist

pro=load('EM38_profile.xyz'); % Eastings
                                % Northings
                                % Quadrature
                                % In Phase
                                % Time


pro(:,2)=pro(:,2)-datum(2);
pro(:,1)=pro(:,1)-datum(1);

dist(:,1)=sqrt((pro(:,1).^2)+(pro(:,2).^2));

figure
subplot(3,1,1);
plot(dist,pro(:,3),'*b')
title('EM38 Vertical Dipole, South to North')
ylabel('Quadrature (mS/m)')
xlim([0,80])


clear pro dist

pro=load('EM38_H_profile.xyz');

pro(:,2)=pro(:,2)-datum(2);
pro(:,1)=pro(:,1)-datum(1);

dist(:,1)=sqrt((pro(:,1).^2)+(pro(:,2).^2));

subplot(3,1,2);
plot(dist,pro(:,3),'*r')
title('Horizontal Dipole')
ylabel('Quadrature (mS/m)')
xlim([0,80])

clear pro dist

pro=load('EM38_G_profile.xyz');

pro(:,2)=pro(:,2)-datum(2);
pro(:,1)=pro(:,1)-datum(1);

dist(:,1)=sqrt((pro(:,1).^2)+(pro(:,2).^2));

subplot(3,1,3);
plot(dist,pro(:,3),'*k')
title('Vertical Dipole at Waist level')
ylabel('Quadrature (mS/m)')
xlabel('Distance along profile (m) ')
xlim([0,80])
clear pro dist

pro=load('EM38_profile.xyz'); % Eastings
                                % Northings
                                % Quadrature
                                % In Phase
                                % Time


pro(:,2)=pro(:,2)-datum(2);
pro(:,1)=pro(:,1)-datum(1);

dist(:,1)=sqrt((pro(:,1).^2)+(pro(:,2).^2));

figure
subplot(3,1,1);
plot(dist,pro(:,4),'*b')
title('EM38 Vertical Dipole, South to North')
ylabel('In Phase (ppt)')
xlim([0,80])

clear pro dist

pro=load('EM38_H_profile.xyz');

pro(:,2)=pro(:,2)-datum(2);
pro(:,1)=pro(:,1)-datum(1);

dist(:,1)=sqrt((pro(:,1).^2)+(pro(:,2).^2));

subplot(3,1,2);
plot(dist,pro(:,4),'*r')
title('Horizontal Dipole')
ylabel('In Phase (ppt)')
xlim([0,80])


clear pro dist

pro=load('EM38_G_profile.xyz');

pro(:,2)=pro(:,2)-datum(2);
pro(:,1)=pro(:,1)-datum(1);

dist(:,1)=sqrt((pro(:,1).^2)+(pro(:,2).^2));

subplot(3,1,3);
plot(dist,pro(:,4),'*k')
title('Vertical Dipole at Waist Level')
ylabel('In Phase (ppt)')
xlabel('Distance along profile (m) ')
xlim([0,80])
